import 'package:didvan/providers/core.dart';
import 'package:flutter/material.dart';

class ThemeProvider extends CoreProvier {
  ThemeMode _themeMode = ThemeMode.system;
  String _fontFamily = 'IranYekan';
  double _fontScale = 1;

  set themeMode(ThemeMode value) {
    _themeMode = value;
    notifyListeners();
    Future.delayed(
      const Duration(milliseconds: 500),
    ).then((_) => notifyListeners());
  }

  ThemeMode get themeMode => _themeMode;

  set fontFamily(String value) {
    _fontFamily = value;
    notifyListeners();
  }

  String get fontFamily => _fontFamily;

  set fontScale(double value) {
    _fontScale = value;
    notifyListeners();
  }

  double get fontScale => _fontScale;
}
